org.apache.fop.fo.properties

## Class BorderSpacingShorthandParser

- java.lang.Object
- - org.apache.fop.fo.properties.GenericShorthandParser
  - - org.apache.fop.fo.properties.BorderSpacingShorthandParser

- All Implemented Interfaces:
    ShorthandParser

      public class BorderSpacingShorthandParser
      extends GenericShorthandParser

  Shorthand parser for the "border-spacing" shorthand property.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BorderSpacingShorthandParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Property` | `convertValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)` Converts a property name into a Property

    - ### Methods inherited from class org.apache.fop.fo.properties.GenericShorthandParser

      `getElement, getValueForProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BorderSpacingShorthandParser

          public BorderSpacingShorthandParser()

  - ### Method Detail

    - #### convertValueForProperty

          protected Property convertValueForProperty(int propId,
                                                     Property property,
                                                     PropertyMaker maker,
                                                     PropertyList propertyList)
                                              throws PropertyException

      Converts a property name into a Property
      Overrides:
        `convertValueForProperty` in class `GenericShorthandParser`
      Parameters:
        `propId` - the property ID in the Constants interface
        `property` - ...
        `maker` - the Property.Maker to be used in the conversion
        `propertyList` - the PropertyList from which the Property should be extracted
      Returns:
        the Property matching the parameters, or null if not found
      Throws:
        `PropertyException` - (when?)

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.